# Indlæs 'skivefjord2_data.csv' filen med data
D <- read.table("skivefjord2_data.csv", header = TRUE, sep = ";")


# Tilføj log-klorofyl til datasættet
D$logchlorophyl <- log(D$chlorophyl)


# Deldatasæt med de første 234 observationer (til model)
D_model <- D[1:234, ]

# Deldatasæt med de sidste 6 observationer (til validering)
D_test <- D[235:240,]


# Estimer multipel lineær regressionsmodel
fit <- lm(logchlorophyl ~ totalP + temp, data = D_model)

# Vis estimerede parametre mm.
summary(fit)


# Plots til modelkontrol

# Observationer mod fittede værdier
plot(fit$fitted.values, D_model$logchlorophyl, 
     xlab = "Fittede værdier", ylab = "log(klorofylkoncentration)")

# Residualer mod hver af de forklarende variable
plot(D_model$FORKLARENDE_VARIABEL, fit$residuals, 
        xlab = "INDSÆT TEKST", ylab = "Residualer")

# Residualer mod fittede værdier
plot(fit$fitted.values, fit$residuals, xlab = "Fittede værdier", 
     ylab = "Residualer")

# Normal QQ-plot af residualerne
qqnorm(fit$residuals, ylab = "Residualer", xlab = "Z-scores", 
       main = "")
qqline(fit$residuals)


# Konfidensintervaller for modellens koefficienter
confint(fit, level = 0.95)


# Prædiktioner og 95% prædiktionsintervaller
pred <- predict(SLUTMODEL, newdata = D_test, interval = "prediction", 
              level = 0.95)

# Observerede værdier sammen med prædiktioner
cbind(year = D_test$year, month = D_test$month, 
      logchlorophyl = D_test$logchlorophyl, pred)

